人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

CentOS4.4でサーバ構築しています。「CentOSで自宅サーバー構築」を参考に進めています。
現在、FTPサーバの構築で躓いています。

●http://centossrv.com/rpmforge.shtml
yum-prioritiesプラグイン導入まではうまくいきますが、
RPMforgeリポジトリ導入のところで
[root@localhost /]# rpm -ivh http://dag.wieers.com/packages/rpmforge-release/rpmforge-release-0.3.6-
1.el4.rf.i386.rp
http://dag.wieers.com/packages/rpmforge-release/rpmforge-release-0.3.6-1.el4.rf.i386.rp を取得しています
エラー: skipping http://dag.wieers.com/packages/rpmforge-release/rpmforge-release-0.3.6-1.el4.rf.i386.rp - transfer failed - Unknown or unexpected error
というエラーが出ます。

●http://centossrv.com/proftpd.shtml
ProFTPDインストールにも失敗します。
[root@localhost /]# yum -y install proftpd
Loading "priorities" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
0 packages excluded due to repository priority protections
Parsing package install arguments
No Match for argument: proftpd
Nothing to do

[root@localhost /]#vi /etc/proftpd.conf
も空ファイルとなっています。

よろしくお願いします。


●質問者: ikazuo
●カテゴリ:コンピュータ ウェブ制作
✍キーワード:CentOS ETC FTP i386 IVH
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● Marin_MTB
●0ポイント

RPMforgeのURLが間違っていませんか?正確には以下ではないですか?

http://dag.wieers.com/rpm/packages/rpmforge-release/rpmforge-rel...

proftpdのインストールについても上が原因と思われます。

◎質問者からの返答

一旦wgetでhttp://dag.wieers.com/rpm/packages/rpmforge-release/rpmforge-rel...をDLし、サーバ上でrmp -ivhとしました。

[root@localhost /]# rpm -ivh rpmforge-release-0.3.6-1.el4.rf.i386.rpm
Preparing... ########################################### [100%]
 file /etc/apt/sources.list.d/rpmforge.list from install of rpmforge-release-0.3.6-1.el4.rf conflicts with file from package rpmforge-release-0.2-2.2.el4.rf
 file /etc/smart/channels/rpmforge.channel from install of rpmforge-release-0.3.6-1.el4.rf conflicts with file from package rpmforge-release-0.2-2.2.el4.rf
 file /etc/sysconfig/rhn/sources.rpmforge.txt from install of rpmforge-release-0.3.6-1.el4.rf conflicts with file from package rpmforge-release-0.2-2.2.el4.rf
 file /etc/yum.repos.d/mirrors-rpmforge from install of rpmforge-release-0.3.6-1.el4.rf conflicts with file from package rpmforge-release-0.2-2.2.el4.rf
 file /etc/yum.repos.d/rpmforge.repo from install of rpmforge-release-0.3.6-1.el4.rf conflicts with file from package rpmforge-release-0.2-2.2.el4.rf

●●●

ですが、それでもyum -install install proftpdはうまくいかないようです。

[root@localhost /]# yum -y install proftpd
Loading "priorities" plugin
Setting up Install Process
Setting up repositories
update 100% |=========================| 951 B 00:00
base 100% |=========================| 1.1 kB 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
0 packages excluded due to repository priority protections
Parsing package install arguments
No Match for argument: proftpd
Nothing to do

2 ● Marin_MTB
●100ポイント ベストアンサー

うーん、古いrpmforge 0.2.2があるようですね。

この場合は、rpmのオプションをアップグレードに設定して試してみてください。

# rpm -Uvh rpmforge-release-0.3.6-1.el4.rf.i386.rpm

これでもダメな場合、既存のrpmforgeを一旦削除して、

# rpm -q rpmforge-release

# rpm -ev <上で表示されたパッケージ名>

再度最新版を追加してみてください。

# rpm -ivh rpmforge-release-0.3.6-1.el4.rf.i386.rpm

◎質問者からの返答

うまくいきました。

Installed: proftpd.i386 0:1.3.1-1.el4.rf
Complete!

ありがとうございました!

またよろしくお願いします。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ